Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class DataDocument

`java.lang.Object
oracle.jbo.common.DataDocument`

public class DataDocument
extends java.lang.Object

Constructor Summary
`DataDocument(java.lang.String name)`

Method Summary
`void` | `addRowSet(RowSet rs)`
`void` | `addViewObject(ViewObject vo)`
`java.util.Collection` | `getAllRowSetIterators()`
`java.lang.String[]` | `getChangedRowSetNames()`
`java.util.Collection` | `getChangedRowsForRowSet(java.lang.String rowSetName)`
`Criteria` | `getCriteria()`
`java.lang.Object` | `getDataRowId(DataRow row)`
`java.lang.String` | `getElementTagNameForRowSet(java.lang.String rowSetName)`
`java.lang.String` | `getName()`
`void` | `setCriteria(Criteria criteria)`
`void` | `writeDataRowToXmlNode(XmlOutput out, Node n, DataRow row)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataDocument

    public DataDocument(java.lang.String name)

Method Detail

### getName

    public java.lang.String getName()

### getCriteria

    public Criteria getCriteria()

### setCriteria

    public void setCriteria(Criteria criteria)

### addViewObject

    public void addViewObject(ViewObject vo)

### addRowSet

    public void addRowSet(RowSet rs)

### getAllRowSetIterators

    public java.util.Collection getAllRowSetIterators()

### getChangedRowSetNames

    public java.lang.String[] getChangedRowSetNames()

### getChangedRowsForRowSet

    public java.util.Collection getChangedRowsForRowSet(java.lang.String rowSetName)

### getDataRowId

    public java.lang.Object getDataRowId(DataRow row)

### getElementTagNameForRowSet

    public java.lang.String getElementTagNameForRowSet(java.lang.String rowSetName)

### writeDataRowToXmlNode

    public void writeDataRowToXmlNode(XmlOutput out,
                                      Node n,
                                      DataRow row)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.